Skip to main content
GET
/
v1
/
users
/
{user_id}
/
deposit_switch
/
report
Retrieve a deposit switch report
curl --request GET \
  --url https://prod.truv.com/v1/users/{user_id}/deposit_switch/report/ \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>'
{
  "completed_at": "2022-05-04T11:30:00.000Z",
  "links": [
    {
      "link_id": "150491a20bdb4292bb2a2ad8554fecba",
      "deposit_details": {
        "account_number": "16002600",
        "account_type": "checking",
        "routing_number": "123456789",
        "bank_name": "TD Bank",
        "deposit_type": "entire",
        "deposit_value": "50.00"
      },
      "tracking_info": "<string>",
      "access_token": "99dd17074ac94aa9ace2621d657c7610",
      "provider": {
        "id": "adp",
        "name": "ADP",
        "supported_bank_account_actions": [
          "create"
        ],
        "logo_url": "<string>"
      },
      "employer": {
        "id": "meta",
        "name": "Meta",
        "logo_url": "<string>"
      },
      "created_at": "2022-05-04T11:30:00.000Z",
      "updated_at": "2022-05-04T12:00:00.000Z"
    }
  ]
}

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Path Parameters

user_id
string
required

Response

completed_at
string<date-time> | null
required
read-only

Timestamp when the report was completed.

Example:

"2022-05-04T11:30:00.000Z"

List of assets links